/* Reset margin dan padding untuk body */
body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    background: linear-gradient(to bottom, #FAF6F0, #FFFFFF);
    font-family: 'Open Sans', sans-serif;
}
body.locked {
  overflow: hidden; /* Lock scroll */}
#desktop-warning {
  background-color: #ffffff;
  color: #b00020;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 100vh;
  font-family: 'Cormorant Garamond', cursive;
}



/* Mobile content */
#mobile-content {
    position: relative;
    background-image: url('../img/bgdaun.webp');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: white;
    overflow: hidden;
    transition: all 0.8s ease;
    z-index: 1;

}
.cover1{
  position: absolute;
  background-image: url('../img/cover1.webp');
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    height: 100vh;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    overflow: hidden;
    transition: all 0.8s ease;
    z-index: 999S;

}
.sudutbunga{
  position: absolute;
  top: 0px;
  width: 100%;
  height: 100%;
  animation: bungagerak 4s ease-in-out infinite alternate;
  z-index: 99;
}
/* animasi untuk sudut bunga */
@keyframes bungagerak{
  0% { transform: translateY(0); }
  50% { transform: translateY(-10px); }
  100% { transform: translateY(0); }

}
.photocover{
  position: absolute;
  top: -50px;
  width: 80%;
  height: auto;
  display: flex; /* Biar justify-content berfungsi */
  justify-content: center;
  align-items: center; /* Biar konten vertikalnya juga center */
  z-index: -1;
  overflow: hidden; /* Hindari gambar melewati batas */
}



@keyframes fadeZoomIn {
    0% {
        opacity: 0;
        transform: scale(0.8);
    }
    100% {
        opacity: 1;
        transform: scale(1);
    }
}

#mobile-content::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    z-index: 1;

}

#mobile-content > * {
    z-index: 2;


  
}
.hero-nama{
  margin-bottom: 2rem;
}

.hero-nama .baris-1{
  font-family: 'Playfair Display', serif;
  font-weight: 100;
  font-size: 12px;
  animation-delay: 0.2s;
  }

.hero-nama .baris-2 {
  font-size: 12px;
  font-family: 'Playfair Display', serif;
  animation-delay: 0.4s;
}

.hero-nama .baris-3 {
  font-family: 'Playfair Display', serif;
  font-weight: 100;
  font-size: 15px;

}

.hero-nama h4 div {
  opacity: 0;
  animation: fadeSlideUp 1s ease-out forwards;
  display: block;
}

@keyframes fadeSlideUp {
  from {
    opacity: 0;
    transform: translateY(20px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}


/* Hero section */
.hero {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding-top: 60%; /* Geser semuanya turun */
}
.hero h1 {
    position: relative;
    top: 35%;
    color: #8B4513;
  text-shadow: 2px 2px 6px #d2b48c;
    font-size: 0.8rem;
    font-family: 'Playfair Display', serif;
    letter-spacing: 3px;
    

}

.hero h2 {
    position: relative;
    top: 50%;
    font-family: 'Great Vibes', cursive;
    font-size: 2rem;
    color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
   
    animation: fadeZoomIn 3s ease-out forwards;

}

.hero h4 {
    font-family: 'Open Sans', sans-serif;
    color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
    font-size: 0.7rem;

    font-style: normal;
}



.scroll-btn {
    border: none;
    background-color: #A67B5B;
    color: #000000; 
    border-radius: 20px;
    padding: 10px 30px;
    margin: auto;
    width: fit-content;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-family: 'Sacramento', cursive;
    font-size: 12px;
    z-index: 10;
}

.scroll-btn:hover {
    background-color: #FFF5E1;
    color: #000000;
   
}

#home {
  background-image: url(../img/Bgtekstur.webp);

  background-size: cover;
  background-position: center;
  position: relative;
  min-height: 100vh;
  height: auto;            /* Biar full layar aja */
  display: flex;
  flex-direction: column;   /* Susun ke bawah */
  justify-content: center;  /* Biar ke tengah */
  align-items: center;      /* Center horizontal */
  text-align: center;
  overflow: visible;         /* Buang kelebihan biar ga kepanjangan */
  padding: 20px;            /* Sedikit jarak biar ga terlalu mepet */
}


.overlay {
  position: absolute;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
  z-index: -1;
}

.center-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  padding-top: 20px;
  gap: 1.2rem;
  
  
}

/* "The Wedding Of" */
.center-content h2 {
  top: 220px; /* naikkan lebih tinggi sesuai kebutuhan */
  font-family: 'Playfair Display', serif;
  font-size: 18px;
  letter-spacing: 3px;
  color: #8B4513;
  text-shadow: 2px 2px 6px #d2b48c;
  margin-top: 10px;
  

}
.hariH{
  position: relative;
  font-family:  "Playfair Display", serif;
  font-weight: bold;
  margin-bottom: -30px;
  letter-spacing: 6px;
  color: #8B4513;
  text-shadow: 2px 2px 6px #d2b48c;
  justify-content: center;
}
/* nama ortu */
.center-content h4{
  top: -30px;
  font-family: "Playfair Display", serif;
  color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
  font-size: 1rem;
}


/* Foto Arch */
.photo-arch1 {
  display: flex;
  justify-content: center;
  top: 40px;
  width: 100%;
  transform: scale(0.95);
  animation: fadeInPhoto 1.5s ease-out forwards;
 
  
}
.bride-groom-photo1 {
  width: 500px;
  max-width: 120px;
  border-radius: 200px;
  box-shadow: 0 4px 15px rgba(255, 255, 255, 0.15);

  border: 5px solid #6d1b1b; /* Warna border bisa disesuaikan */
 
  transform: scale(0.95);
  animation: fadeInPhoto 1.5s ease-out forwards;
}
.foto-acara{
  width: 100%;
  height: 100%;
  object-fit: cover;

}
.tantridandi h3{
  color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
  font-family: "Playfair Display", serif;
  font-size: 1.5rem;

  

}

.namaPasangan {
  justify-content: center;
  align-items: center;
  gap: 1rem;
  z-index: 10;
  /* HAPUS cursor: pointer; di sini */

}

.satuOrang {
  position: relative;
  top: -10px; /* ini buat ngangkat dikit teksnya */
  text-align: center;
  
}
.tantriIg, .dandiIg{
  position: relative;
  font-size: 1.1rem;
  color: #6d1b1b;
  text-decoration: none;   /* biar gak ada garis bawah */
  display: inline-flex;    /* biar icon sama teks sejajar */
  align-items: center;
  gap: 5px;
  cursor: pointer;         /* pindahin cursor pointer ke sini */
  z-index: 10;
 

}
.tantriIg:hover, .dandiIg:hover {
  color: #E4405F;
}
/* Intro text */
#intro-txt {
   font-family: "Playfair Display", serif ;
  color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
  font-weight: bold;
  font-size: 1rem;
  letter-spacing: 1px;
  max-width: 80%;
}

/* Countdown */
#countdown-container {
  color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
     display: flex;
  font-family: "Playfair Display", serif ;
  
  justify-content: center;
  align-items: center;
  gap: 8px;
  margin-top: 1.1rem;
  flex-wrap: wrap;
}

.countdown-box {
  text-align: center;
}

.countdown-box span {
  display: block;
  font-size: 22px;
  font-weight: bold;
  color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
}

.countdown-box small {
  font-size: 16px;
  color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
}

.countdown-divider {
  width: 100%;
  height: 3px;
  background: linear-gradient(to right, #b48a78, #d2b48c, #b48a78);
  margin-top: 10px;
  border-radius: 2px;
}

.separator {
  font-size: 24px;
  font-weight: bold;
  color: rgba(139, 0, 0, 0.5);
}
.savethedate h1{
  color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
  font-size: 2rem;
  font-family: 'Great Vibes', cursive;
  margin-bottom: 8rem;

}

/* 🔹 Media Query (biar rapih di tablet/desktop) */
@media (max-width: 480px) {
  .center-content h2 { font-size: 1rem; }
  .center-content h4 { font-size: 0.8rem; }
  .tantridandi h3 { font-size: 1.8rem; }
  .countdown-box span { font-size: 1.1rem; }
  .countdown-box small { font-size: 1.1rem; }
  .savethedate h1 { font-size: 2rem; }
  .hariH { font-size: 1.1rem; font-weight: bold; }
  .tantriIg, .dandiIg { font-size: 1rem;}
  .intro-txt{font-size: 1rem;}
}

.dalil {
    padding: 40px 15px;
    background: #fefefe; /* Putih soft */
  }
  
  .dalil blockquote {
    max-width: 90%;
    margin: 0 auto;
    padding: 30px 20px;
    background-image: url(../img/bgcosy.webp);
    background-size: cover;
    border-left: 4px solid #800000; /* Merah maroon */
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.08);
    border-radius: 14px;
    font-style: italic;
    font-size: 15px;
    line-height: 1.7;
    color: #800000;
    position: relative;
  }
  
  .dalil .icon-quote {
    position: absolute;
    top: -20px;
    left: 20px;
    background: #800000; /* Merah maroon */
    color: white;
    padding: 10px;
    border-radius: 20%;
    font-size: 20px;
  }
  
  .dalil blockquote p {
    color: #8B4513;
  text-shadow: 2px 2px 6px #d2b48c;
    margin-top: 2rem;
    font-family: 'Cormorant Garamond', cursive;
  }
  
  .dalil blockquote h2 {
    margin-top: 15px;
    text-align: right;
    font-size: 1rem;
    color: #8B4513;
  text-shadow: 2px 2px 6px #d2b48c;
    font-weight: 500;
    font-family:  'Cormorant Garamond', cursive;
  }
  
  
.photo-arch {
  width: 250px;
  height: 350px;
  margin: 0 auto;
  border-radius: 150px;
  padding: 8px; /* supaya ada ruang buat border */
  background: linear-gradient(to bottom right, #b48a78, #d2b48c); /* warna border bisa diganti */
  box-shadow: 0 4px 10px #b48a78;
  display: flex;
  align-items: center;
  justify-content: center;
  animation: fadeInPhoto 1.5s ease-out forwards;

}
.photo-border {
 width: 100%;
  height: 100%;
  border-radius: 150px;
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden;
  position: relative;
  z-index: 1;
  animation: fadeInPhoto 1.5s ease-out forwards;
}
.photo-border img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  
}
  
  
.acara-section {
    padding: 2rem 1rem;
    background-color: #f5f1f0;
  }
  
  .acara-card{
    background-image: url(../img/cover11.webp);
    background-size: cover;
    border-radius: 150px 150px  150px 150px;
    box-shadow: 0 4px 12px rgba(0,0,0,0.1);
    margin-bottom: 2.5rem;
    text-align: center;
  }
  
  .judul-acara {
    font-family: 'sacramento', serif;
    font-size: 1.5rem;
    color: #8B4513;
  text-shadow: 2px 2px 6px #d2b48c;
    padding-top: 5%;
    padding-bottom: 5%;
    letter-spacing: 5px;
    

  }
  
  .foto-acara {
    width: 100%;
    border-radius: 150px;
    display: block;
    justify-content: center;
    margin: 3%;
  }
  
  .info-acara {
    padding: 1.5rem;
  }
  
  .info-acara .tanggal {
    font-family: 'Work Sans', sans-serif;
    font-weight: bold;
    color: #8B4513;
    margin-bottom: 1rem;
  }
  
  .info-acara p {
    font-family: 'Work Sans', sans-serif;
    font-size: 0.95rem;
    color: #8B4513;
    margin: 0.3rem 0;
  }
  .info-acara h1{
    font-weight: bold;
    font-family: 'Work Sans', sans-serif;
    font-size: 0.95rem;
    color: #8B4513;
    margin-bottom: 1rem;
  }
  
  .btn-gmaps {
    display: inline-block;
    margin-top: 1rem;
    padding: 10px 16px;
    background-color:#8B4513;
    color: #fff;
    border-radius: 8px;
    text-decoration: none;
    font-weight: bold;
    transition: background-color 0.3s;
    font-family: 'Poppins', sans-serif;
  }
  
  .btn-gmaps:hover {
    background-color: #d2b48c;
  }

  .story-section {
  background-color: #fdf6e3; /* cream soft */
  padding: 3rem 1rem;
  text-align: center;
}

.judul-story {
  font-family: 'Sacramento', cursive;
  font-size: 2.5rem;
  color: #8B4513;
  margin-bottom: 2rem;
}

.story-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 1.5rem;
}

.story-card {
  background-color: #fffaf3;
  border: 2px solid #deb887;
  border-radius: 20px;
  padding: 1.5rem;
  box-shadow: 0 4px 10px rgba(0,0,0,0.05);
  position: relative;
  transition: transform 0.3s ease;
}

.story-card:hover {
  transform: translateY(-5px);
}

.story-icon {
  font-size: 2rem;
  background-color: #fff5e1;
  border: 2px solid #deb887;
  padding: 10px;
  border-radius: 50%;
  display: inline-block;
  margin-bottom: 1rem;
}

.story-card h3 {
  font-family: 'Poppins', sans-serif;
  color: #8B4513;
  margin-bottom: 0.5rem;
}

.story-card p {
  font-family: 'Work Sans', sans-serif;
  font-size: 0.95rem;
  color: #5c4033;
}


.gallery-section {
  padding: 40px 20px;
  background-image: url('../img/Bgtekstur.webp');
  background-size: cover;
  background-position: center;
}

.gallery-title {
  text-align: center;
  font-size: 2.5rem;
  margin-bottom: 30px;
  font-family: 'Sacramento', cursive;
  color: #8B4513;
  text-shadow: 2px 2px 6px #d2b48c;
}



.masonry-gallery {
  column-count: 3;
  column-gap: 15px;
  max-width: 1100px;
  margin: 0 auto;
}

.masonry-gallery img {
  width: 100%;
  margin-bottom: 15px;
  border-radius: 12px;
  border: 3px solid #d4af37; /* Border emas */
  background-color: #fffaf0; /* Cream soft */
  box-shadow: 0 6px 15px rgba(0,0,0,0.08);
  break-inside: avoid;
  transition: transform 0.4s ease, box-shadow 0.4s ease;
  opacity: 0;
  transform: translateY(15px);
}

.masonry-gallery img.show {
  opacity: 1;
  transform: translateY(0);
}

.masonry-gallery img:hover {
  transform: scale(1.05);
  box-shadow: 0 12px 25px rgba(0,0,0,0.15);
}

/* Responsive */
@media (max-width: 800px) {
  .masonry-gallery {
    column-count: 2;
  }
}

@media (max-width: 500px) {
  .masonry-gallery {
    column-count: 1;
  }
}



/* Responsive (Opsional): Bisa atur jumlah kolom sesuai ukuran layar */
@media (max-width: 600px) {
  .masonry-gallery {
    column-count: 2;
  }
}
@media (max-width: 400px) {
  .masonry-gallery {
    column-count: 1;
  }
}
  
  .audio-icon-wrapper {
      position: fixed;
      bottom: 70px;
      right: 10px;
      background-color: transparent;
      border-radius: 50%;
      padding: 10px;
      z-index: 9999;
      cursor: pointer;
      transition: transform 0.3s ease;
    }
    
    .audio-icon-wrapper i {
      font-size: 24px;
      color: #4e8df6;
    }
    
    .audio-playing i {
      animation: spin 2s linear infinite;
      color: #f39c12; /* warna kuning pas nyala */
    }
    #audio-toggle.hidden {
      display: none;
    }
    
    @keyframes spin {
      0% { transform: rotate(0deg); }
      100% { transform: rotate(360deg); }
    }
    
   /* CSS: kirim-hadiah.css */
.rekening {
  
  padding: 4rem 1rem;
  background-image: url(../img/bgdaun.webp);
  background-size: cover;
}

.rekening h2 {
  text-align: center;
    font-size: 2.5rem;
    margin-bottom: 20px;
    color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
    font-family: 'Sacramento',cursive;
    letter-spacing: 5px;
    padding: 2rem;
    
}

.rekening-wrapper {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  max-width: 600px;
  margin: 0 auto;
  font-family: 'Poppins', sans-serif;
  color: #8B4513;
    text-shadow: 2px 2px 6px #d2b48c;
  
}

.rekening-box {
 
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1.5rem;
  border-radius: 1.5rem;
  background-color: #ffffff;
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.05);
  transition: transform 0.2s;
}

.rekening-box:hover {
  transform: translateY(-4px);
}

.rekening-logo {
  max-width: 100px;
  height: auto;
  margin-bottom: 1rem;

}
.rekening-logo1 {
  max-width: 100px;
  height: auto;
  margin-bottom: 1rem;
}

.rekening-nomor,
.rekening-nama {
  font-size: 1rem;
  margin: 0.25rem 0;
  color: #333;
  word-break: break-word;
  padding: 1rem;
  letter-spacing: 2px;
}

.copy-btn {
  margin-top: 1rem;
  padding: 0.5rem 1.5rem;
  background-color: #8B4513;
  color: white;
  border: none;
  border-radius: 0.75rem;
  cursor: pointer;
  transition: background-color 0.3s;
}

.copy-btn:hover {
  background-color: #d2b48c;
}

.bottom-navbar {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: #ffffff;
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 6px 0;
  border-top: 1px solid #e4303f;
  z-index: 1000;
  box-shadow: 0 -2px 6px rgba(0, 0, 0, 0.1);
}

.bottom-navbar .nav-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: 12px;
  color: #444;
  text-decoration: none;
}

.bottom-navbar .nav-item i {
  font-size: 18px;
  margin-bottom: 2px;
}

.bottom-navbar .nav-item:hover {
  color: #1E3A8A;
}



section.rsvp{
  color: #deb887;
  padding: 2rem 1.2rem;
  text-align: center;
} 


@media (min-width: 768px) {

  .rekening-wrapper {
    flex-direction: row;
    justify-content: center;
  }

  .rekening-box {
    width: 100%;
    max-width: 280px;
  }
}   
    .rsvp {
          background-color:#fffaf0; 
          padding: 40px;
          border-radius: 12px;
          box-shadow: 0 8px 20px rgba(248, 246, 246, 0.1);
          max-width: 700px;
          margin: 50px auto;
          color: #4a1c1c;
        }
        
        .rsvp h2 {
          text-align: center;
          font-size: 2.5rem;
          margin-bottom: 20px;
          color: #8B4513;
          text-shadow: 2px 2px 6px #d2b48c;
          font-family: 'Sacramento', cursive;
          
          letter-spacing: 4px;
        }
        
        
        #commentForm {
          display: flex;
          flex-direction: column;
          gap: 15px;
          margin-bottom: 30px;
        }
        
        #commentForm input[type="text"],
        #commentForm textarea {
          padding: 12px;
          border: 1px solid #ebe7e2;
          border-radius: 8px;
          font-size: 1em;
          background-color: #ffffff;
          color: #8B4513;
          transition: border 0.3s ease;
        }
        
        #commentForm input[type="text"]:focus,
        #commentForm textarea:focus {
          border-color: #8B4513;
          outline: none;
        }
        
        #commentForm textarea {
          min-height: 100px;
          resize: vertical;
        }
        
        #commentForm button {
          background-color: #8B4513;
          color: #fff;
          padding: 12px;
          border: none;
          border-radius: 8px;
          font-size: 1em;
          cursor: pointer;
          transition: background-color 0.3s ease;
        }
        
        #commentForm button:hover {
          background-color: #d2b48c;
        }
        
        #commentsContainer {
          background-image: url(../img/cover11.webp);
          border: 1px solid #f0caca;
          border-radius: 10px;
          padding: 20px;
          box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
        }
        
        .comment {
          margin-bottom: 20px;
          padding-bottom: 15px;
          border-bottom: 1px dashed #dcb6b6;
        }
        
        .comment strong {
          color: #800000;
          font-size: 1.05em;
        }
        
        .comment time {
          display: block;
          font-size: 0.85em;
          color: #8B4513;
          margin-bottom: 5px;
        }
        
        .comment p {
          margin: 0;
          line-height: 1.6;
        }

.closing-section {
  background-image: url(../img/jpeg2.webp);
  padding: 50px 20px;
  text-align: center;
  font-family: 'Poppins', sans-serif;
}

.closing-content {
  max-width: 600px;
  margin: 0 auto;
}

.bride-groom-photo {
  width: 150%;
  max-width: 180px;
  border-radius: 150px;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.15);
  margin-bottom: 30px;
  border: 5px solid #6d1b1b; /* Warna border bisa disesuaikan */
 
  transform: scale(0.95);
  animation: fadeInPhoto 2s ease-out forwards;
}

.closing-text {
  font-size: 12px;
  color: #8B4513;
  text-shadow: 2px 2px 6px #d2b48c;
  line-height: 1.8;
  animation: fadeInText 2s ease-out forwards;
  animation-delay: 2s ease ;
}
@keyframes fadeInPhoto {
  to {
    opacity: 1;
    transform: scale(1);
  }
}

@keyframes fadeInText {
  to {
    opacity: 1;
  }
}

        #branding {
          text-align: center;
          margin-top: 30px;
          margin-bottom: 80px;
          
        }
        
        #branding a {
          text-decoration: none;
          color: green;
          font-weight: bold;
          font-size: 1.2rem;
          transition: color 0.3s;
        }
        
        #branding a:hover {
          color: darkgreen;
        }
        #branding h1{
          justify-content: center;
          text-align: center;
          font-size: 12px;
        }
        